# InternetAddressType class

InternetAddressType is the type an InternetAddress. Currently, IP version 4 (IPv4) and IP version 6 (IPv6) are supported.

## Properties

name → String
  Get the name of the type, e.g. "IPv4" or "IPv6".
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

ANY → const InternetAddressType
  @Deprecated("Use any instead")
  `any`
any → const InternetAddressType
  `const InternetAddressType._(-1)`
IP_V4 → const InternetAddressType
  @Deprecated("Use IPv4 instead")
  `IPv4`
IP_V6 → const InternetAddressType
  @Deprecated("Use IPv6 instead")
  `IPv6`
IPv4 → const InternetAddressType
  `const InternetAddressType._(0)`
IPv6 → const InternetAddressType
  `const InternetAddressType._(1)`